@import 'settings';
@import 'mixins';
@import 'typography';


.PageLayout {
    .intro-image {
        display: flex;
        justify-content: center;
        align-items: center;
    }

    &__intro-caption.sidebar {
        position: absolute;
        z-index: 2;
        right: 0;
        background: $blackTrans;
        color: $white;

        @media #{$mobile-only} {
            bottom: 0;
            width: 100%;
            height: 100%;
            padding: 40px 30px;
            display: flex;
            justify-content: center;
            align-items: center;
        }

        @media #{$tablet} {
            top: 0;
            height: 100vh;
            max-width: 448px;
            padding: 100px;
            display: flex;
            flex-direction: column;
            align-items: center;
            justify-content: center;
        }
    }

    &__intro-caption.circle {
        display: flex;
        flex-direction: column;
        justify-content: center;
        align-items: center;
        width: 330px;
        height: 330px;
        border-radius: 50%;
        background: $white;
        color: $blue;

        h1,
        h2,
        h3,
        h4 {
            color: $black;
        }

        h1,
        h2 {
            @include heading-larger;
        }

        h3,
        h4 {
            @include heading-large;
            font-weight: normal;

            @media #{$tablet} {
                @include heading-medium;
            }
        }

        h3:last-of-type {
            margin-bottom: 0.8rem;
        }

        > *:last-child {
            margin-bottom: 0;
        }
    }

    @media #{$tablet} {
        &__intro-caption.circle {
            width: 430px;
            height: 430px;
            padding: 70px;
        }
    }

    &__content {
        @include container;
        position: relative;
        padding-top: 70px;
        padding-bottom: 10px;
        text-align: center;

        &-item {
            @include container;
            width: 100%;
            margin-top: $paragraph-margin-bottom;
            margin-bottom: $paragraph-margin-bottom;

            img {
                display: block;
                max-width: 100%;
                height: auto;
            }

            .video-embed {
                width: 100%;
            }
        }
    }

    @media #{$tablet} {
        &__content {
            padding-top: 90px;
            padding-bottom: 90px;
            text-align: left;
        }
    }
}
